<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
 xmlns:msxsl="urn:schemas-microsoft-com:xslt"
 xmlns:hog="http://www.hogwart-translations.com/xml-verification">
 <msxsl:script language="JScript" implements-prefix="hog">
  <![CDATA[
  var g_nCount = 0;
  function ErrorCount () {
     return(g_nCount);
  }
  function CheckLastChar(p_Src, p_Trg, p_Char) {
     var sSrc = new String(p_Src.nextNode().text);
     if ( sSrc.length<1 ) return("");
     var sTrg = new String(p_Trg.nextNode().text);
     if ( sTrg.length<1 ) return("No target text.");
     var cTmp = sSrc.charAt(sSrc.length-1);
     if ( cTmp == p_Char ) {
        if ( cTmp != sTrg.charAt(sTrg.length-1) ) {
           g_nCount++;
           return("Missing character '" + p_Char + "' at the end of the target text.");
        }
     }
     return("");
  }
  ]]>
 </msxsl:script>
 <xsl:template match="text()"/>
 <xsl:template match="comment()"/>
 <xsl:template match="//alt-trans"/>
 <xsl:template match="/xliff">
  <html>
   <head>
    <title>Verification</title>
   </head>
   <body>
    <h1>Verification</h1>
    <table border="1" cellspacing="0" cellpadding="3">
     <xsl:apply-templates/>
    </table>
    <p>Number of errors = <b><xsl:value-of select="hog:ErrorCount()"/></b></p> 
   </body>
  </html>
 </xsl:template>
 <xsl:template match="//source">
  <xsl:variable name="R1" select="hog:CheckLastChar(.,../target,':')"/>
  <xsl:if test="$R1!=''">
   <tr>
    <xsl:attribute name="style">background:#F0F0F0</xsl:attribute>
    <td>Error <xsl:value-of select="hog:ErrorCount()"/></td>
    <td><xsl:value-of select="$R1"/></td>
   </tr>
   <tr>
    <td>Source:</td>
    <td><xsl:value-of select="."/></td>
   </tr>
   <tr>
    <td>Target:</td>
    <td><xsl:value-of select="../target"/></td> 
   </tr> 
  </xsl:if>
 </xsl:template>
</xsl:stylesheet>
